This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### rotate()
Examples |
    translate(width/2, height/2);
    rotate(PI/3.0);
    rect(-26, -26, 52, 52);
Description | Rotates a shape the amount specified by the angle parameter. Angles should be specified in radians (values from 0 to TWO_PI) or converted to radians with the radians() function. Objects are always rotated around their relative position to the origin and positive numbers rotate objects in a clockwise direction. Transformations apply to everything that happens after and subsequent calls to the function accumulates the effect. For example, calling rotate(HALF_PI) and then rotate(HALF_PI) is the same as rotate(PI). All tranformations are reset when draw() begins again. Technically, rotate() multiplies the current transformation matrix by a rotation matrix. This function can be further controlled by the pushMatrix() and popMatrix().
Syntax |
    rotate(angle)
    rotate(angle, x, y, z)
Parameters |
angle | float: angle of rotation specified in radians
Returns | void
Related | popMatrix() pushMatrix() rotateX() rotateY() rotateZ() scale() radians()

Updated on October 26, 2013 08:58:32pm PDT